Chuyển đến nội dung
Diễn đàn CADViet

phat1998

Thành viên
  • Số lượng nội dung

    41
  • Đã tham gia

  • Lần ghé thăm cuối

Cộng đồng

-8 (hơi kém)

About phat1998

  • Cấp bậc
    biết vẽ arc

Khách truy cập Tiểu sử gần đây

Khối khách truy cập gần đây đã bị vô hiệu và không được hiển thị cho người dùng khác.

  1. phat1998

    Vẽ vuông góc với 1 Pline bất kì

    vâng ạ. từ đầu đến cuối góc khác từ cuối lên đầu ạ, mong anh cho giải pháp tiện thể cho em hỏi thêm, như lisp của em kia thì trình bày thuật toán của nó dạng sơ đồ khối như thế nào ạ. em cảm ơn các anh !
  2. phat1998

    Vẽ vuông góc với 1 Pline bất kì

    Ý em là với lisp và với 2 đường thẳng AB và BA chứ không phải là có 2 góc rồi lấy 1 góc duy nhất anh ạ. tức là với lisp đó đối tượng là AB hya là BA thì kết quả là 1 ý ạ đây là lisp ạ: (setvar "Osmode" 0)(Setvar "orthomode" 0)(setvar "cmdecho" 0) (setq file_text (getfiled "xuât du liêu " "gia công 1 chiêu " "txt" 1)) (setq ket_qua (open file_text "w" ) doi_tuong (car ( entsel " \n chon duong phun son : ")) so_doan (getint (strcat "\n nhâp vào môt sô : ")) d 0.0 L (vlax-curve-getDistAtParam doi_tuong (vlax-curve-getEndParam doi_tuong)) delta_L (/ L so_doan) ) (setq diem (vlax-curve-getpointatdist doi_tuong d) dao_ham(vlax-curve-getFirstDeriv doi_tuong d) goc_tiep_tuyen (angle '( 0 0) dao_ham) goc_phap_tuyen ( * (- (/ pi 2) goc_tiep_tuyen)(/ 180 pi)) ) (Princ (strcat "\nG02 X" (rtos (car diem) 2 0) " Y" (rtos (cadr diem) 2 0) " A" (rtos goc_phap_tuyen 2 0) ) ket_qua) (setq d (+ d delta_L)) (repeat ( 1+ (- so_doan 1)) ( setq diem (vlax-curve-getPointAtDist doi_tuong d) dao_ham (vlax-curve-getFirstDeriv doi_tuong d) goc_tiep_tuyen (angle '( 0 0) dao_ham) goc_phap_tuyen ( * (- (/ pi 2) goc_tiep_tuyen) (/ 180 pi)) d (+ d delta_L) ) (Princ (strcat "\nG01 X" (rtos (car diem) 2 0) " Y" (rtos (cadr diem) 2 0) " A" (rtos goc_phap_tuyen 2 0)) ket_qua) ) (close ket_qua) (Princ (strcat "\nFile Ket qua : \"" file_text "\"")) (princ)
  3. phat1998

    Xuất tọa độ điểm và góc

    vâng,cảm ơn anh nhiều ạ
  4. phat1998

    Vẽ vuông góc với 1 Pline bất kì

    anh cho em hỏi về hàm angle. giả sử dùng hàm angle và chọn điểm thứ nhất là A điểm thứ 2 là B cho ra góc anpha1 chọn điểm thứ nhất là B điểm thứ 2 là C cho ra góc anpha2 anpha1 khác anpha2 tức là vẫn là đường thẳgn AB nhưng góc thu được khác nhau do hướng của vector AB và BA ngươc nhau vậy làm cách nào để ta luôn thu được góc giữa AB và 0x cố định với cả vector AB và BA ạ
  5. phat1998

    Xuất tọa độ điểm và góc

    anh ơi em ms phát hiện 1 vấn đề đó là giả sử đường cong có điểm xuất phát là A , điểm cuối là B thì giá trị góc thu được khác với đường cong cũng như trên nhưng điểm xuát phát là B và điểm cuối là A. Tức là lm cách nào để ta các hướng của vector tiếp tuyến không ảnh hưởng đến kết quả được không ạ. ta chỉ cần thu giá trị góc giữa 2 đường thẳng tiếp tuyến và đường 0x
  6. phat1998

    Xuất tọa độ điểm và góc

    tức là khi em đi bảo vệ đồ án, em sẽ phải trình bày chương trình này giải quyết cái gì từ đầu vào là 1 curve chương trình sẽ cho đầu ra là tọa độ và góc vậy để trình bày điều này cần có thuật toán dạng như sơ đồ khối ấy ạ chứ mình không thể show lisp lên rồi giải thích từng dòng được
  7. phat1998

    Vẽ vuông góc với 1 Pline bất kì

    cảm ơn anh nhiều ạ, em sẽ cố gắng hiểu cặn kẽ vì em sắp bảo vệ tốt nghiệp, nên em cần hiểu kĩ để còn trả lời các thầy
  8. phat1998

    Vẽ vuông góc với 1 Pline bất kì

    có phải em đang hiểu sai về cái ' (0,0) , đây là điểm thuộc UCS chứ ko phải WCS phải không ạ ?
  9. phat1998

    Vẽ vuông góc với 1 Pline bất kì

    có vẻ em vẫn đang bị rối , do em chưa hiểu bản chất, cho em hỏi: em đã đọc khái niệm đạo hàm được ghim ở trên, vậy cuối cùng hàm ( angle '(0 0) (Vlax-curve-getfirstderiv curve (vlax-curve-getParamAtPoint curve pt))) tạo ra kết quả góc giữa cái gì với cái gì, có phải góc giữa tiếp tuyến tại điểm ta xét với trục 0x không ạ. cái em không hiểu là hàm Vlax-curve-getfirstderiv như anh nói trả về điểm, vậy sao lại là '(0 0) vì tiếp tuyến nó đâu có đi qua điểm gốc tọa độ ( 0 , 0)
  10. phat1998

    Xuất tọa độ điểm và góc

    anh cho em hỏi, trình bày thuật toán của chương trình này như nào ạ ?
  11. phat1998

    Xuất tọa độ điểm và góc

    giúp em với ạ. từ 1 đường spline , lấy n điểm cách đều nhau trên đường , tại mỗi điểm đường vuông góc với tia tiếp tuyến tạo với trục ngang Ox 1 góc an pha viết chương trình xuất ra tọa độ điểm và góc an pha tương ứng xuất ra file text
×